GroovydocJavaVisitor (Groovy 3.0.7)

Package org.codehaus.groovy.tools.groovydoc.antlr4

## Class GroovydocJavaVisitor

- java.lang.Object
- - com.github.javaparser.ast.visitor.VoidVisitorAdapter<Object>
  - - org.codehaus.groovy.tools.groovydoc.antlr4.GroovydocJavaVisitor

- All Implemented Interfaces:
    `com.github.javaparser.ast.visitor.VoidVisitor<Object>`

      public class GroovydocJavaVisitor
      extends com.github.javaparser.ast.visitor.VoidVisitorAdapter<Object>

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `GroovydocJavaVisitor​(String packagePath, List<LinkArgument> links)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `Map<String,​GroovyClassDoc>` | `getGroovyClassDocs()` |
    `void` | `visit​(com.github.javaparser.ast.body.AnnotationDeclaration n, Object arg)` |
    `void` | `visit​(com.github.javaparser.ast.body.AnnotationMemberDeclaration n, Object arg)` |
    `void` | `visit​(com.github.javaparser.ast.body.ClassOrInterfaceDeclaration n, Object arg)` |
    `void` | `visit​(com.github.javaparser.ast.body.ConstructorDeclaration c, Object arg)` |
    `void` | `visit​(com.github.javaparser.ast.body.EnumConstantDeclaration n, Object arg)` |
    `void` | `visit​(com.github.javaparser.ast.body.EnumDeclaration n, Object arg)` |
    `void` | `visit​(com.github.javaparser.ast.body.FieldDeclaration f, Object arg)` |
    `void` | `visit​(com.github.javaparser.ast.body.MethodDeclaration m, Object arg)` |
    `void` | `visit​(com.github.javaparser.ast.ImportDeclaration n, Object arg)` |

    - ### Methods inherited from class com.github.javaparser.ast.visitor.VoidVisitorAdapter

      `visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### GroovydocJavaVisitor

          public GroovydocJavaVisitor​(String packagePath,
                                      List<LinkArgument> links)

  - ### Method Detail

    - #### visit

          public void visit​(com.github.javaparser.ast.ImportDeclaration n,
                            Object arg)

      Specified by:
        `visit` in interface `com.github.javaparser.ast.visitor.VoidVisitor<Object>`
      Overrides:
        `visit` in class `com.github.javaparser.ast.visitor.VoidVisitorAdapter<Object>`

    - #### visit

          public void visit​(com.github.javaparser.ast.body.EnumDeclaration n,
                            Object arg)

      Specified by:
        `visit` in interface `com.github.javaparser.ast.visitor.VoidVisitor<Object>`
      Overrides:
        `visit` in class `com.github.javaparser.ast.visitor.VoidVisitorAdapter<Object>`

    - #### visit

          public void visit​(com.github.javaparser.ast.body.EnumConstantDeclaration n,
                            Object arg)

      Specified by:
        `visit` in interface `com.github.javaparser.ast.visitor.VoidVisitor<Object>`
      Overrides:
        `visit` in class `com.github.javaparser.ast.visitor.VoidVisitorAdapter<Object>`

    - #### visit

          public void visit​(com.github.javaparser.ast.body.AnnotationDeclaration n,
                            Object arg)

      Specified by:
        `visit` in interface `com.github.javaparser.ast.visitor.VoidVisitor<Object>`
      Overrides:
        `visit` in class `com.github.javaparser.ast.visitor.VoidVisitorAdapter<Object>`

    - #### visit

          public void visit​(com.github.javaparser.ast.body.AnnotationMemberDeclaration n,
                            Object arg)

      Specified by:
        `visit` in interface `com.github.javaparser.ast.visitor.VoidVisitor<Object>`
      Overrides:
        `visit` in class `com.github.javaparser.ast.visitor.VoidVisitorAdapter<Object>`

    - #### visit

          public void visit​(com.github.javaparser.ast.body.ClassOrInterfaceDeclaration n,
                            Object arg)

      Specified by:
        `visit` in interface `com.github.javaparser.ast.visitor.VoidVisitor<Object>`
      Overrides:
        `visit` in class `com.github.javaparser.ast.visitor.VoidVisitorAdapter<Object>`

    - #### visit

          public void visit​(com.github.javaparser.ast.body.MethodDeclaration m,
                            Object arg)

      Specified by:
        `visit` in interface `com.github.javaparser.ast.visitor.VoidVisitor<Object>`
      Overrides:
        `visit` in class `com.github.javaparser.ast.visitor.VoidVisitorAdapter<Object>`

    - #### visit

          public void visit​(com.github.javaparser.ast.body.ConstructorDeclaration c,
                            Object arg)

      Specified by:
        `visit` in interface `com.github.javaparser.ast.visitor.VoidVisitor<Object>`
      Overrides:
        `visit` in class `com.github.javaparser.ast.visitor.VoidVisitorAdapter<Object>`

    - #### visit

          public void visit​(com.github.javaparser.ast.body.FieldDeclaration f,
                            Object arg)

      Specified by:
        `visit` in interface `com.github.javaparser.ast.visitor.VoidVisitor<Object>`
      Overrides:
        `visit` in class `com.github.javaparser.ast.visitor.VoidVisitorAdapter<Object>`

    - #### getGroovyClassDocs

          public Map<String,​GroovyClassDoc> getGroovyClassDocs()